Bug 268205 - On Linux "Auto #include" doesn't work if current compiler is Oracle Developer Studio
On Linux "Auto #include" doesn't work if current compiler is Oracle Developer...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Completion
8.2
PC Linux
: P3 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-26 12:18 UTC by soldatov
Modified: 2016-12-08 14:28 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
proposed patch (1.09 KB, patch)
2016-09-26 15:03 UTC, Alexander Simon
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2016-09-26 12:18:02 UTC
Scenario:
- Launch NetBeans on Oracle Linux 7
- Add "Oracle Developer Studio" compiler
- Create C++ Application project with empty C++ file
- Try any of 3 test cases (move cursor to end of word, press Ctrl-Space, select function and press Enter)
int main() {
    printf // 1st test
    std::printf // 2nd test
    std::reverse // 3rd test
}

Expected behavior: IDE adds #include <stdio.h> or #include <algorithm>
Real behavior: no any #include

This sanity test works on Clang(MacOSX), GCC(Linux, Solaris, Cygwin, MSYS2), Oracle Developer Studio (Solaris only) platforms.
Comment 1 Alexander Simon 2016-09-26 15:03:10 UTC
Created attachment 162216 [details]
proposed patch
Comment 2 Alexander Simon 2016-09-29 10:30:45 UTC
fixed in enum, branch release82, change set d4bc7b24e7e8
Comment 3 Quality Engineering 2016-10-20 01:58:48 UTC
Integrated into 'main-silver', will be available in build *201610200002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/73f8e2bf9f91
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug 268205 On Linux "Auto #include" doesn't work if current compiler is Oracle Developer Studio
(transplanted from d4bc7b24e7e895af509fa06e8569bbd436e5c5c7)
Comment 4 soldatov 2016-12-08 14:28:34 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo